play.libs

## Class F.Some<T>

- java.lang.Object
- - play.libs.F.Option<T>
  - - play.libs.F.Some<T>

All Implemented Interfaces:
  java.lang.Iterable<T>

Enclosing class:
  F

    public static class F.Some<T>
    extends F.Option<T>

### Constructor Summary

Constructors
Constructor and Description
`Some(T value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `get()`
`boolean` `isDefined()`
`java.util.Iterator<T>` `iterator()`
`java.lang.String` `toString()`

### Methods inherited from class play.libs.F.Option

`None, Some`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Some

    public Some(T value)

### Method Detail

#### isDefined

    public boolean isDefined()

Specified by:
  `isDefined` in class `F.Option<T>`

#### get

    public T get()

Specified by:
  `get` in class `F.Option<T>`

#### iterator

    public java.util.Iterator<T> iterator()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`